upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Questions about Grub, UEFI,the liveCD and the installer
Forum rules
Before you post please read how to get help
hir00
Level 1
Level 1
Posts: 5
Joined: Sun Dec 22, 2019 11:22 am

upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by hir00 »

Tried to upgrade to mint 19.3 via GUI, some packages could not be downloaded so I did not proceed and gave it another try after changing the update sources.
Now suddenly mintupdate does not start with following error:

Code: Select all

~$ mintupdate

Sun Dec 22 16:17:44  on /dev/pts/1
~$ 'gi.repository.XApp' object has no attribute 'StatusIcon'
<class 'AttributeError'>
I found a bug report that is exactly matching but without any solution described.
https://github.com/linuxmint/mint19.3-beta/issues/26

It looks like there is a xapp version dependency (1.6) but I do not know how to fix that.
Anyone can help?

I would also use a command line upgrade tool but it seems mintupgrade script is not maintained any more?
Thanks for any help!
Best
JeremyB
Level 20
Level 20
Posts: 11688
Joined: Fri Feb 21, 2014 8:17 am

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by JeremyB »

In terminal try

Code: Select all

sudo apt update && sudo apt upgrade
Reboot
hir00
Level 1
Level 1
Posts: 5
Joined: Sun Dec 22, 2019 11:22 am

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by hir00 »

No, this does not work.

Code: Select all

Sun Dec 29 15:28:51 xyz@tux on /dev/pts/1
~$ sudo apt update
[sudo] password for xyz:         
Ign:1 http://mirror.inode.at/linuxmint/packages tessa InRelease
Hit:2 http://mirror.inode.at/linuxmint/packages tessa Release                                                                                                
Get:3 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]                                                                                  
Hit:4 http://ubuntu.lagis.at/ubuntu bionic InRelease                                                                                                                
Ign:5 http://dl.google.com/linux/chrome/deb stable InRelease                                                                                                        
Get:6 http://ubuntu.lagis.at/ubuntu bionic-updates InRelease [88,7 kB]                                                                        
Get:7 http://ubuntu.lagis.at/ubuntu bionic-backports InRelease [74,6 kB]                                                                     
Hit:8 http://archive.canonical.com/ubuntu bionic InRelease                                                 
Hit:10 http://dl.google.com/linux/chrome/deb stable Release              
Get:11 http://security.ubuntu.com/ubuntu bionic-security/main amd64 DEP-11 Metadata [38,5 kB]
Get:12 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 DEP-11 Metadata [42,1 kB]
Get:13 http://security.ubuntu.com/ubuntu bionic-security/multiverse amd64 DEP-11 Metadata [2.464 B]
Get:14 http://ubuntu.lagis.at/ubuntu bionic-updates/main amd64 DEP-11 Metadata [295 kB]                
Get:15 http://ubuntu.lagis.at/ubuntu bionic-updates/universe amd64 DEP-11 Metadata [264 kB]
Get:16 http://ubuntu.lagis.at/ubuntu bionic-updates/multiverse amd64 DEP-11 Metadata [2.468 B]       
Get:17 http://ubuntu.lagis.at/ubuntu bionic-backports/universe amd64 DEP-11 Metadata [7.980 B]
Fetched 904 kB in 1s (733 kB/s)                                                                        
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.

Sun Dec 29 15:29:03 xyz@tux on /dev/pts/1
~$ sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Nobody knows how to fix this?
JeremyB
Level 20
Level 20
Posts: 11688
Joined: Fri Feb 21, 2014 8:17 am

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by JeremyB »

What result for

Code: Select all

apt policy gir1.2-xapp
hir00
Level 1
Level 1
Posts: 5
Joined: Sun Dec 22, 2019 11:22 am

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by hir00 »

Code: Select all

~$ apt policy gir1.2-xapp
gir1.2-xapp-1.0:
  Installed: 1.4.6+tessa
  Candidate: 1.4.6+tessa
  Version table:
 *** 1.4.6+tessa 500
        500 http://mirror.inode.at/linuxmint/packages tessa/backport amd64 Packages
        100 /var/lib/dpkg/status
     1.0.4-2fakesync1 500
        500 http://ubuntu.lagis.at/ubuntu bionic/universe amd64 Packages
JeremyB
Level 20
Level 20
Posts: 11688
Joined: Fri Feb 21, 2014 8:17 am

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by JeremyB »

You have a bit of a mess, lets try to fix

Code: Select all

sudo sed -i 's/tessa/tricia/' /etc/apt/sources.list.d/official-package-repositories.list
sudo apt update && sudo apt upgrade
hir00
Level 1
Level 1
Posts: 5
Joined: Sun Dec 22, 2019 11:22 am

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by hir00 »

Looks good now!
Repository and update manager dependencies are okay again
Thank you very much for your prompt help @JeremyB!
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

I too have this problem in that Update Manager will not start. I have appear upgraded to Mint19.3 but my system's response to 'apt policy gir1.2-xapp' is :

Code: Select all

gir1.2-xapp-1.0:
  Installed: 1.6.10+tricia
  Candidate: 1.6.10+tricia
  Version table:
 *** 1.6.10+tricia 500
        500 http://packages.linuxmint.com tricia/backport amd64 Packages
        100 /var/lib/dpkg/status
     1.0.4-2fakesync1 500
        500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
Running:

Code: Select all

sudo sed -i 's/tessa/tricia/' /etc/apt/sources.list.d/official-package-repositories.list
sudo apt update && sudo apt upgrade
Does not cure the problem. Any suggestions anyone?

BobF
User avatar
karlchen
Level 21
Level 21
Posts: 13031
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by karlchen »

Hello, BobF.

JeremyB had given the commands, which you simply executed, to a specific user, hir99, because there had been a specific mismatch in hir00's sources list files.
There is no hint that your sources list files had been affected by precisely the same problem. Therefore you may have been lucky, if the commands that you blindly executed have not caused an issue, which you did not have before executing them.
  • Please, open a terminal window. Execute the commandline inxi -Sr precisely as it has been typed here. Post the complete screen output, which the command will display in your next reply.
  • Next execute the command sudo apt update. Post the complete screen output, which the command will display in your next reply as well.
  • Finally, in the same terminal window, execute the command mintupdate and post the complete output which the command will display inside the terminal window.
Best regards,
Karl
Image
Linux Mint 19.3 64-bit Cinnamon, Total Commander 9.51 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

Hi Karl, Thanks for your help in this.

The result of inxi -Sr

Code: Select all

System:
  Host: Inspiron Kernel: 4.15.0-76-generic x86_64 bits: 64 
  Desktop: Cinnamon 4.2.4 Distro: Linux Mint 19.2 Tina 
Repos:
  No active apt repos in: /etc/apt/sources.list 
  Active apt repos in: /etc/apt/sources.list.d/additional-repositories.list 
  1: deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main
  Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list 
  1: deb http://packages.linuxmint.com tricia main upstream import backport #id:linuxmint_main
  2: deb http://archive.ubuntu.com/ubuntu bionic main restricted universe multiverse
  3: deb http://archive.ubuntu.com/ubuntu bionic-updates main restricted universe multiverse
  4: deb http://archive.ubuntu.com/ubuntu bionic-backports main restricted universe multiverse
  5: deb http://security.ubuntu.com/ubuntu/ bionic-security main restricted universe multiverse
  6: deb http://archive.canonical.com/ubuntu/ bionic partner
  Active apt repos in: /etc/apt/sources.list.d/otto-kesselgulasch-gimp-bionic.list 
  1: deb http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu bionic main
  2: deb-src http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu bionic main
  Active apt repos in: /etc/apt/sources.list.d/playonlinux.list 
  1: deb http://deb.playonlinux.com/ maverick main
The result of sudo apt update

Code: Select all

Hit:1 http://archive.canonical.com/ubuntu bionic InRelease
Hit:2 http://archive.ubuntu.com/ubuntu bionic InRelease                                 
Get:3 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]             
Hit:4 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu bionic InRelease          
Get:5 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]               
Hit:6 http://deb.playonlinux.com maverick InRelease                                     
Hit:7 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease                         
Get:8 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]             
Ign:9 http://packages.linuxmint.com tricia InRelease                                 
Hit:10 http://packages.linuxmint.com tricia Release                                  
Fetched 252 kB in 1s (290 kB/s)                    
Reading package lists... Done
Building dependency tree       
Reading state information... Done
4 packages can be upgraded. Run 'apt list --upgradable' to see them.
The result of mintupdate

Code: Select all

   'gi.repository.XApp' object has no attribute 'StatusIcon' <class 'AttributeError'>
That is the only output from mintupdate and it freezes there. I have to do Ctrl-C to recover control.

One odd thing I have just noticed:

'inxi -S' reports:
Host: Inspiron Kernel: 4.15.0-76-generic x86_64 bits: 64
Desktop: Cinnamon 4.2.4 Distro: Linux Mint 19.2 Tina

but 'cat /etc/linuxmint/info' reports:
RELEASE=19.3
CODENAME=tricia
EDITION="Cinnamon"
DESCRIPTION="Linux Mint 19.3 Tricia"
User avatar
karlchen
Level 21
Level 21
Posts: 13031
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by karlchen »

Hello, BobF.

Your situation indeed looks similar to the one, which hir00, the thread starter, had experienced.
The difference, however, seems to be:
hir00's system was somewhere between LM 19.1 tessa and LM 19.3 tricia.
Your system is somewhere between LM 19.2 tina and LM 19.3 tricia.

OK. I suggest to try to fix this by doing the following steps in the given order, please:
  1. Remove an obsolete software repository from your list, which points to an ancient Ubuntu release maverick.
    Terminal command to execute:

    Code: Select all

    sudo rm /etc/apt/sources.list.d/playonlinux.list
    Note:
    "CODE: SELECT ALL" above the command is not part of the command.
    If you click on "SELECT ALL", the complete commandline in the box below "SELECT ALL" will be marked.
    You can right click it with your mouse and copy it.
    .
  2. Make sure all release files tell this is LM 19.3 tricia, not LM 19.2 tina
    Terminal command to execute:

    Code: Select all

    xed admin:///etc/issue  admin:///etc/issue.net  admin:///etc/lsb-release  admin:///usr/lib/os-release
    This will launch editor xed with root privileges and load 4 small text files in 4 editor tabs.
    .
  3. Please, make sure that each of the 4 files has got the content which will be given below for each file:
    • File: /etc/issue
      Content:

      Code: Select all

      Linux Mint 19.3 Tricia \n \l
    • File: /etc/issue.net
      Content:

      Code: Select all

      Linux Mint 19.3 Tricia
    • File: /etc/lsb-release
      Content:

      Code: Select all

      DISTRIB_ID=LinuxMint
      DISTRIB_RELEASE=19.3
      DISTRIB_CODENAME=tricia
      DISTRIB_DESCRIPTION="Linux Mint 19.3 Tricia"
    • File: /usr/lib/os-release
      Content:

      Code: Select all

      NAME="Linux Mint"
      VERSION="19.3 (Tricia)"
      ID=linuxmint
      ID_LIKE=ubuntu
      PRETTY_NAME="Linux Mint 19.3"
      VERSION_ID="19.3"
      HOME_URL="https://www.linuxmint.com/"
      SUPPORT_URL="https://forums.ubuntu.com/"
      BUG_REPORT_URL="http://linuxmint-troubleshooting-guide.readthedocs.io/en/latest/"
      PRIVACY_POLICY_URL="https://www.linuxmint.com/"
      VERSION_CODENAME=tricia
      UBUNTU_CODENAME=bionic
  4. For each of the 4 files make sure that the content is precisely what has been given above.
    Then click save on each file, which you have modified.
    In the end close the editor xed.
    .
  5. Proceed with the next step only, in case the step above has worked without errors!
    .
  6. Close MintUpdate, in case it should be open (unlikely as it does not work).
    .
  7. Execute the following 2 terminal commands:

    Code: Select all

    sudo apt-get update
    
    sudo apt-get dist-upgrade
Please, post the screen output of the the second command here. (I know it will be pretty long.)

Best regards,
Karl
Image
Linux Mint 19.3 64-bit Cinnamon, Total Commander 9.51 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

Karl,

Running:

Code: Select all

xed admin:///etc/issue  admin:///etc/issue.net  admin:///etc/lsb-release  admin:///usr/lib/os-release
or prefixing it with 'sudo' only got me:

** (xed:8668): WARNING **: 16:01:17.933: Operation not supported
** (xed:8668): WARNING **: 16:01:17.980: Operation not supported
** (xed:8668): WARNING **: 16:01:18.014: Operation not supported
** (xed:8668): WARNING **: 16:01:18.048: Operation not supported

(xed:8548): Gtk-CRITICAL **: 15:59:47.108: gtk_notebook_get_tab_label: assertion 'list != NULL' failed
(xed:8548): Gtk-CRITICAL **: 15:59:47.133: gtk_notebook_get_tab_label: assertion 'list != NULL' failed
(xed:8548): Gtk-CRITICAL **: 15:59:47.139: gtk_notebook_get_tab_label: assertion 'list != NULL' failed
(xed:8548): Gtk-CRITICAL **: 15:59:47.142: gtk_notebook_get_tab_label: assertion 'list != NULL' failed
(xed:8548): Gtk-CRITICAL **: 15:59:47.152: gtk_notebook_get_tab_label: assertion 'list != NULL' failed

So I opened the folders as sudo and simply edited the files that way and saved - no problems.

sudo apt-get dist-upgrade gave me:

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  libxfconf-0-2 mint-backgrounds-tina ubuntu-dbgsym-keyring
Use 'sudo apt autoremove' to remove them.
The following packages have been kept back:
  wine-stable winehq-stable
The following packages will be upgraded:
  mintsources
1 to upgrade, 0 to newly install, 0 to remove and 2 not to upgrade.
Need to get 120 kB of archives.
After this operation, 6,144 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://packages.linuxmint.com tricia/upstream amd64 mintsources all 1.9.5 [120 kB]
Fetched 120 kB in 1s (231 kB/s)     
(Reading database ... 414830 files and directories currently installed.)
Preparing to unpack .../mintsources_1.9.5_all.deb ...
Unpacking mintsources (1.9.5) over (1.9.2) ...
Setting up mintsources (1.9.5) ...
Processing triggers for desktop-file-utils (0.23+linuxmint8) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for mime-support (3.60ubuntu1) ...
There were no errors but I did have to OK an upgrade for 'mintsources'
User avatar
karlchen
Level 21
Level 21
Posts: 13031
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by karlchen »

Hello, BobF.

May I ask what the status of your system is now, please?
Is Update Manager back to normal operation? Can it be launched successfully?
I also ask, because I would have expected that the command sudo apt-get dist-upgrade would upgrade many more packages than only mintsources.

Best regards,
Karl
Image
Linux Mint 19.3 64-bit Cinnamon, Total Commander 9.51 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

Good morning Karl,

Running 'mintupdate' within terminal still only gives me:

'gi.repository.XApp' object has no attribute 'StatusIcon'<class 'AttributeError'>

Maybe it would be easier to do a Mint 19.3 install?

Regards, Bob
User avatar
karlchen
Level 21
Level 21
Posts: 13031
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by karlchen »

Good morning, Bob.

What does

Code: Select all

apt policy mintupdate
display?

Karl
Image
Linux Mint 19.3 64-bit Cinnamon, Total Commander 9.51 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

Code: Select all

apt policy mintupdate:

mintupdate:
  Installed: 5.5.9
  Candidate: 5.5.9
  Version table:
 *** 5.5.9 500
        500 http://packages.linuxmint.com tricia/main amd64 Packages
        500 http://packages.linuxmint.com tricia/main i386 Packages
        100 /var/lib/dpkg/status
User avatar
karlchen
Level 21
Level 21
Posts: 13031
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by karlchen »

Hi, Bob.

Searching for the error message 'gi.repository.XApp' object has no attribute 'StatusIcon'<class 'AttributeError'> here in the forum
(via Google, because the forum search will not accept such complext search strings - different story)
returns the following thread, where solving the issue was as tricky as in your case, because all the solutions, which had worked for others, refused to work in that case. [SOLVED] Update Manager is not working

In the end it was user gm10, who posted the successful 2 commands, which solved the issue and which made mintupdate work again:
gm10 wrote:
Sun Jan 26, 2020 1:38 am
I have been summoned (by JoeFootball), and dutifully appear with the solutions. Two possibilities.

Alternative 1: Fix your current install (recommended):

Code: Select all

sudo dpkg --remove --force-remove-reinstreq --force-depends mintupdate
followed by:

Code: Select all

apt install mintupdate
Bob, I would like to ask you to execute the 2 commandlines, which gm10 gave in that thread, in the given order.
Please, post the screen output, which they will display.

Keeping my fingers crossed that, what worked for user Abinash, will work for you as well.

Best regards,
Karl
Image
Linux Mint 19.3 64-bit Cinnamon, Total Commander 9.51 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

Hi Karl,

Both commands run without errors but the problem is still the same. I'll try a reboot just in case and report back.

Code: Select all

sudo dpkg --remove --force-remove-reinstreq --force-depends mintupdate:

  [sudo] password for bobf:         
  (Reading database ... 414639 files and directories currently installed.)
  Removing mintupdate (5.5.9) ...
  Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
  Processing triggers for hicolor-icon-theme (0.17-2) ...
  Processing triggers for libglib2.0-0:i386 (2.56.4-0ubuntu0.18.04.4) ...
  Processing triggers for libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.4) ...
  Processing triggers for desktop-file-utils (0.23+linuxmint8) ...
  Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
  Processing triggers for mime-support (3.60ubuntu1) ...

Code: Select all

apt install mintupdate:

  Reading package lists... Done
  Building dependency tree       
  Reading state information... Done
  The following NEW packages will be installed
    mintupdate
  0 to upgrade, 1 to newly install, 0 to remove and 4 not to upgrade.
  Need to get 557 kB of archives.
  After this operation, 4,959 kB of additional disk space will be used.
  Get:1 http://packages.linuxmint.com tricia/main amd64 mintupdate all 5.5.9 [557 kB]
  Fetched 557 kB in 1s (662 kB/s)     
  Selecting previously unselected package mintupdate.
  (Reading database ... 413643 files and directories currently installed.)
  Preparing to unpack .../mintupdate_5.5.9_all.deb ...
  Unpacking mintupdate (5.5.9) ...
  Setting up mintupdate (5.5.9) ...
  Processing triggers for desktop-file-utils (0.23+linuxmint8) ...
  Processing triggers for libglib2.0-0:i386 (2.56.4-0ubuntu0.18.04.4) ...
  Processing triggers for libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.4) ...
  Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
  Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
  Processing triggers for hicolor-icon-theme (0.17-2) ...
  Processing triggers for mime-support (3.60ubuntu1) ...
:-(

mintupdate: 'gi.repository.XApp' object has no attribute 'StatusIcon'<class 'AttributeError'>
User avatar
karlchen
Level 21
Level 21
Posts: 13031
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by karlchen »

Hi, Bob.

This is starting to become really troublesome and frustrating, because everything, which solved the issue for others, seems to fail on your system. :(
One more check, please, because it is also needed by mintupdate:

Code: Select all

apt policy libxapp1
libxapp1 should be present, because mintupdate 5.5.9 defines libxapp1 and gir1.2-xapp as dependencies. (This had been a problem in mintupdate 5.5.7 only.)

~~~
Just noticed in your initial inxi report, posted yesterday:

Code: Select all

System:
  Host: Inspiron Kernel: 4.15.0-76-generic x86_64 bits: 64 
  Desktop: Cinnamon 4.2.4 Distro: Linux Mint 19.2 Tina 
Cinnamon 4.2.4 is not LM 19.3. So you seem to be on Mint 19.2 really though by now several config files tell you were on LM 19.3.

Have you perhaps been affected by this reported bug, which seems to happen on Cinnamon systems only (if it happens at all):
upgrade 19.2 to 19.3 breaks on mintupdate #598
Symptom:
During upgrade from LM 19.2 Cinnamon to LM 19.3 Cinnamon, mintupdate first wants to upgrade itself to version 5.5.9. But once this has happened, mintupdate no longer starts up and as a consequence never completes the upgrade from LM 19.2. to LM 19.3

This might match your situation.

This would bring us to gm10's second approach of solving the issue from that thread mentioned in my previous post:
gm10 wrote:
Sun Jan 26, 2020 1:38 am
Alternative 2: Manually upgrade to LM 19.3:

Code: Select all

sudo sed -E -i 's/ (tara|tessa|tina) / tricia /' /etc/apt/sources.list.d/official-*.list
followed by:

Code: Select all

apt update
apt dist-upgrade
Karl
Image
Linux Mint 19.3 64-bit Cinnamon, Total Commander 9.51 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

Hi Karl,
Thanks for staying with this problem. I've been using Mint for about three years now and so far I've been able to fix problems myself - this is proving to be a tough one!

Code: Select all

apt policy libxapp1:

  libxapp1:
    Installed: 1.6.10+tricia
    Candidate: 1.6.10+tricia
    Version table:
   *** 1.6.10+tricia 500
          500 http://packages.linuxmint.com tricia/backport amd64 Packages
          100 /var/lib/dpkg/status
       1.0.4-2fakesync1 500
          500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
Doing some research of my own I found this post:

https://github.com/linuxmint/mintupdate/issues/590

Should I give it a try?

Bob
Last edited by electron1948 on Wed Feb 05, 2020 7:19 am, edited 1 time in total.
Post Reply

Return to “Installation & Boot”